Returns the RegexInterface's flags

- « MongoDB\BSON\RegexInterface

- MongoDB\BSON\RegexInterface::getPattern »

- PHP Manual
- MongoDB\BSON\RegexInterface
- Returns the RegexInterface's flags

# MongoDB\BSON\RegexInterface::getFlags

(mongodb >=1.3.0)

MongoDB\BSON\RegexInterface::getFlags — Returns the RegexInterface's flags

### Description

abstract public MongoDB\BSON\RegexInterface::getFlags(): string

### Parameters

This function has no parameters.

### Return Values

Returns the RegexInterface's flags.

### See Also

- MongoDB\BSON\Regex::getFlags() - Returns the Regex's flags